Announcement

Collapse
No announcement yet.

Please Help - SQL Error.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Please Help - SQL Error.

    Hi,

    I would really appricate any help that anyone here can give me. I have a major problem on my board.

    I have not done any updates / hacks for a while and all was working fine until today. Now, when I try to modify anything on a user, for example change the group they are in, I get the following error message:

    Database error in vBulletin Control Panel 2.2.4:

    Invalid SQL: SELECT userid
    FROM user
    WHERE username='Alec'
    AND userid <>
    mysql error: You have an error in your SQL syntax near '' at line 4

    mysql error number: 1064

    Date: Sunday 09th of June 2002 09:07:50 AM
    Script: http://www.mpuforums.com/forums/forums/admin/user.php
    Referer: http://www.mpuforums.com/forums/admi...dit&userid=748


    I would be extremely grateful for any assistance here.

    Harvey Lodder.

  • #2
    Your host has probably upgraded to PHP 4.2.x.

    Either:
    (a) Upgrade to 2.2.6.
    (b) Apply the patches from this thread: http://www.vbulletin.com/forum/showt...hreadid=44820.
    Chen Avinadav
    Better to remain silent and be thought a fool than to speak out and remove all doubt.

    גם אני מאוכזב מסיקור תחרות לתור מוטור של NRG הרשת ע"י מעריב

    Comment


    • #3
      I think those patches are only applicable to 2.2.5. I'm not sure if they will work with 2.2.4.
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        i'd upgrade to 2.2.6 for a permanent fix to your problem
        :: Always Back Up Forum Database + Attachments BEFORE upgrading !
        :: Nginx SPDY SSL - World Flags Demo [video results]
        :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

        Comment


        • #5
          All,

          Thank you for taking time to reply.

          I have upgraded to 2.2.6 apart from all my Mods which I'll do over the next day or so and the problems have gone away.

          Thanks for your "direction" on this to a relative newbie in all this!

          Harvey.

          Comment

          Loading...
          Working...
          X